summaryrefslogtreecommitdiffstats
path: root/development/cudatoolkit/cudatoolkit.SlackBuild
diff options
context:
space:
mode:
author Giorgio Peron2011-09-09 22:19:06 +0200
committer Niels Horn2011-09-22 00:48:31 +0200
commit528e14275912c75a46667c7fc2429d9bbccd13d1 (patch)
treece86de943a752862e3514a49dcdd144898e2bdc1 /development/cudatoolkit/cudatoolkit.SlackBuild
parent361ae7d4d44f92f6527cc1dceae9258e6e239438 (diff)
downloadslackbuilds-528e14275912c75a46667c7fc2429d9bbccd13d1.tar.gz
development/cudatoolkit: Added (parallel computing architecture)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'development/cudatoolkit/cudatoolkit.SlackBuild')
-rw-r--r--development/cudatoolkit/cudatoolkit.SlackBuild105
1 files changed, 105 insertions, 0 deletions
diff --git a/development/cudatoolkit/cudatoolkit.SlackBuild b/development/cudatoolkit/cudatoolkit.SlackBuild
new file mode 100644
index 0000000000..b544da8208
--- /dev/null
+++ b/development/cudatoolkit/cudatoolkit.SlackBuild
@@ -0,0 +1,105 @@
+#!/bin/sh
+
+# Copyright 2008-2011 Giorgio Peron Campodarsego, PD, Italy
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=cudatoolkit
+VERSION=${VERSION:-4.0.17}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+
+case "$( uname -m )" in
+ i?86) ARCH=i386 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+esac
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+if [ "$ARCH" = "x86_64" ]; then
+ break
+elif [ "$ARCH" = "i386" ]; then
+ break
+else
+ printf "\n\n$ARCH is not supported... \n"
+ exit 1
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir -p $PRGNAM-$VERSION
+if [ "$ARCH" = "x86_64" ]; then
+chmod +x $CWD/$PRGNAM\_$VERSION\_linux_64_fedora13.run
+$CWD/$PRGNAM\_$VERSION\_linux_64_fedora13.run -- --prefix=$TMP/$PRGNAM-$VERSION
+break
+elif [ "$ARCH" = "i386" ]; then
+chmod +x $CWD/$PRGNAM\_$VERSION\_linux_32_fedora13.run
+$CWD/$PRGNAM\_$VERSION\_linux_32_fedora13.run -- --prefix=$TMP/$PRGNAM-$VERSION
+break
+fi
+cd $PRGNAM-$VERSION
+chown -R root:root .
+
+# Move the docs to our standard location first
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+mv doc/* $PKG/usr/doc/$PRGNAM-$VERSION
+rm -rf doc
+
+# Now move everything else
+mkdir -p $PKG/usr/share/cuda
+mv * $PKG/usr/share/cuda
+
+# Put library in the standard place
+if [ "$ARCH" = "x86_64" ]; then
+ mkdir -p $PKG/usr/lib64
+ mv $PKG/usr/share/cuda/lib64 $PKG/usr/
+ rm -rf $PKG/usr/share/cuda/lib
+ break
+elif [ "$ARCH" = "i386" ]; then
+ mkdir -p $PKG/usr/lib
+ mv $PKG/usr/share/cuda/lib $PKG/usr/
+ rm -rf $PKG/usr/share/cuda/lib64
+ break
+fi
+
+# Put binary in the standard place
+mkdir -p $PKG/usr/bin
+mv $PKG/usr/share/cuda/bin $PKG/usr/
+
+# Put include in the standard place
+mkdir -p $PKG/usr/include/cuda
+mv $PKG/usr/share/cuda/include/* $PKG/usr/include/cuda
+rm -rf $PKG/usr/share/cuda/include
+
+chmod 0755 $PKG/usr/bin/*
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -c n -l y $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}